> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Endpoints

> List custom endpoints for the current account.



## OpenAPI

````yaml get /api/v1/endpoints
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/endpoints:
    get:
      tags:
        - endpoints
        - Endpoints
      summary: List Endpoints
      description: List custom endpoints for the current account.
      operationId: list_endpoints_api_v1_endpoints_get
      parameters:
        - name: method
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by HTTP method
            title: Method
          description: Filter by HTTP method
        - name: enabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter by enabled status
            title: Enabled
          description: Filter by enabled status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EndpointListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EndpointResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: EndpointListResponse
      description: Paginated list of custom endpoints.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EndpointResponse:
      properties:
        id:
          type: string
          title: Id
        account_id:
          type: string
          title: Account Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        path:
          type: string
          title: Path
        method:
          type: string
          title: Method
        auth_required:
          type: boolean
          title: Auth Required
        condition:
          anyOf:
            - type: string
            - type: 'null'
          title: Condition
        actions:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Actions
        response_template:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response Template
        enabled:
          type: boolean
          title: Enabled
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
      type: object
      required:
        - id
        - account_id
        - name
        - description
        - path
        - method
        - auth_required
        - condition
        - actions
        - response_template
        - enabled
        - created_at
        - updated_at
        - created_by
      title: EndpointResponse
      description: Response schema for a single custom endpoint.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````